<?php
  ///////////////////////////////////////////////////
  // Система учёта посещаемости сайта - PowerCounter
  // 2003-2006 (C) IT-студия SoftTime (http://www.softtime.ru)
  // Поддержка: http://www.softtime.ru/forum/
  // Симдянов И.В. (simdyanov@softtime.ru)
  // Кузнецов М.В. (kuznetsov@softtime.ru)
  // Голышев С.В. (softtime@softtime.ru)
  ///////////////////////////////////////////////////
  // Выставляем уровень обработки ошибок (http://www.softtime.ru/info/articlephp.php?id_article=23)
  Error_Reporting(E_ALL & ~E_NOTICE); 

  // Данные переменные определяют название страницы и подсказку.
  $title = 'Понедельный отчёт'; 
  $pageinfo = '';    
  // Заголовок страницы
  include "topcounter.php";

  // вывод данных
  $query = "SELECT UNIX_TIMESTAMP(putdate_begin) as putdate_begin,
                   UNIX_TIMESTAMP(putdate_end) as putdate_end
            FROM $tbl_arch_ip_week
            GROUP BY putdate_begin
            ORDER BY putdate_begin DESC";
  $arh = mysql_query($query);
  if(!$arh) exit(mysql_error());
  echo "<table class=table width=100% border=0 cellpadding=0 cellspacing=0>
          <tr class=header align=center>
            <td align=center width=".(100/12)."%>Дата</td>
            <td align=center width=".(100/12)."%>Ссылка</td>
          </tr>";
  $eng = array("Mon","Tue","Wed","Thu","Fri","Sat","Sun");
  $rus = array("Пн","Вт","Ср","Чт","Пт","Сб","Вс");
  while ($hits=mysql_fetch_array($arh))
  {
    // Формируем дату
    $date_table = date("d.m",$hits['putdate_begin'])." - ".date("d.m",$hits['putdate_end']);
    // Меняем английские названия дней недели на русские
    echo "<tr>
            <td align=center>$date_table</td>
            <td align=center><a href=$_SERVER[PHP_SELF]?date=$hits[putdate_begin]>смотреть</a></td>
          </tr>";
  }
  echo "</table><br><br>";

  // Если параметр $_GET['date'] не пуст, запрашиваем IP-адреса
  // за этот день
  if(!empty($_GET['date']))
  {
    if(!preg_match("|^[\d]+$|",$_GET['date'])) puterror("Недопустимый формат параметра");
    $query = "SELECT INET_NTOA(ip) AS ip, total FROM $tbl_arch_ip_week WHERE putdate_begin = '".date("Y-m-d 23:59:59",$_GET['date'])."'";
    $ipt = mysql_query($query);
    if(!$ipt) exit(mysql_error());
    if(mysql_num_rows($ipt) > 0)
    {
      echo "<table class=table width=100% border=0 cellpadding=0 cellspacing=0>
              <tr class=header align=center>
                <td>IP-адрес</td>
                <td>Хост</td>
                <td>Число обращений</td>
              </tr>";
      while($ip = mysql_fetch_array($ipt))
      {
        echo "<tr><td>$ip[ip]</td>";
        if(HOST_BY_ADDR) echo "<td>".(@gethostbyaddr($ip['ip']))."</td>";
        else echo "<td align=center>-</td>";
        echo "<td>$ip[total]</td></tr>";
      }
      echo "</table>";
    }
  }

  include "bottomcounter.php";
?>
